Ask Your Question
2

How to install QT in Fedora? No valid kit fund when create project.

asked 2013-11-28 22:02:26 -0500

Charles Wang gravatar image

Would you like to tell me how to install QT 4 or 5 for Fedora 20 with command line? I do it by sudo yum install qt or sudo dnf install qt-creator but "NO valid kit" dispears when I creator or open a project. Yhanks very much.

edit retag flag offensive close merge delete

3 Answers

Sort by » oldest newest most voted
3

answered 2013-11-29 00:45:15 -0500

remi gravatar image

Like for most libraries, developer stuff is in the -devel sub-package (not needed by normal user), so :

yum install qt-devel
edit flag offensive delete link more

Comments

Sorry, it display: Package qt-devel-1:4.8.5-11.fc20.i686 is already installed, skipping.

Charles Wang gravatar imageCharles Wang ( 2013-11-29 01:36:43 -0500 )edit
0

answered 2013-11-30 12:21:50 -0500

athmane gravatar image

Qt is spitted into several packages, you use yum search qt to get a list (plus other stuff).

If you're looking for a minimal Qt development environment, you can install it with:

su -c 'yum install qt-devel qt-doc qt-creator'

edit flag offensive delete link more

Comments

Thanks, I'll try it.

Charles Wang gravatar imageCharles Wang ( 2013-12-01 03:28:51 -0500 )edit

Package 1:qt-devel-4.8.5-10.fc20.i686 already installed and latest version Package 1:qt-doc-4.8.5-10.fc20.noarch already installed and latest version Package qt-creator-2.8.1-1.fc20.i686 already installed and latest version Nothing to do

Charles Wang gravatar imageCharles Wang ( 2013-12-01 03:33:04 -0500 )edit
0

answered 2013-12-06 00:30:52 -0500

Charles Wang gravatar image

Hi,ALL, I got it! after instal the 2 group "C Development Tool and Libraies" and "Development Libraies", QT 4.8.5 goes correct. thank you all.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-11-28 22:02:26 -0500

Seen: 43,345 times

Last updated: Dec 06 '13